Bug 1976242 - [4.7.z backport] Upgrade from Openshift 4.5 -> 4.6 Results in Orphaned Address sets
Summary: [4.7.z backport] Upgrade from Openshift 4.5 -> 4.6 Results in Orphaned Addres...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.z
Assignee: Jaime Caamaño Ruiz
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On: 1976241
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-25 15:35 UTC by Antoni Segura Puimedon
Modified: 2021-09-08 13:18 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Address set naming convention used in OVN-Kubernetes changed from 4.5 to 4.6 but migration to the new naming convention of existing address sets through an upgrade was not handled. Consequence: Network policies created in 4.5 with namespace selector criteria for their ingress or egress sections might not work correctly in 4.6 or later releases due to the fact that rely on matching old address sets that were not being kept updated with the pod IPs within such namespaces. These policies might allow or drop unexpected traffic. Workaround is to remove and recreate these policies. Fix: On OVN-Kubernetes upgrade to fixed version, address sets with old naming convention are removed and policy ACLs referencing this old address sets are updated referencing the address sets following the new naming convention. Result: Affected network policies created in 4.5 should start working correctly again after upgrade.
Clone Of: 1976241
Environment:
Last Closed: 2021-09-08 13:17:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 650 0 None None None 2021-08-20 10:05:48 UTC
Red Hat Product Errata RHSA-2021:3303 0 None None None 2021-09-08 13:18:17 UTC

Comment 6 errata-xmlrpc 2021-09-08 13:17:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.29 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3303


Note You need to log in before you can comment on or make changes to this bug.